ARCH := $(shell arch)

CC := gcc
STD := -std=c89
ERR := -pedantic -Wall -Wextra -Wwrite-strings -Werror

PHONY: clean compile run

clean:
	@clear
	@echo "cleaning..."
	@rm -fv $$(find -type f -name "*.o")

compile:
	@clear
	$(CC) -c -g main.c
	
	
ifneq (x86_64,${ARCH})
	$(CC) -o jnodeExample_$(ARCH) main.o $(STD) $(ERR) -lm
else
	$(CC) -o jnodeExample_$(ARCH) main.o $(STD) $(ERR) -m64 -lm
endif
		
	@rm -fv $$(find -type f -name "*.o")

run:
	chmod +x jnodeExample_$(ARCH)
	./jnodeExample_$(ARCH)
